#!/bin/bash
# add rootcert to ~/.kpi/nssdb/cert9.db

project_name="NetSignCNG"
install_cng_path="/opt/$project_name"

DIRS=`ls /home/ `

cd ${install_cng_path}/InstallRootCert/uosInstallCert/cert/

#遍历目录,导入根证
for temp in ${DIRS}
do
	if [ ! -d "/home/${temp}" ];then
                continue
        fi	

	if [ ! -d "/home/${temp}/.pki/nssdb" ];then
		mkdir -p /home/${temp}/.pki/nssdb
		${install_cng_path}/InstallRootCert/uosInstallCert/certutil -N --empty-password -d /home/${temp}/.pki/nssdb
	fi
	
	${install_cng_path}/InstallRootCert/uosInstallCert/certutil --empty-password -d sql:/home/${temp}/.pki/nssdb -A -t "CT,C,c" -n "cert/""-""serverroot.pem" -i "serverroot.pem"
	if [ $? -eq 0 ];then
		echo "add successful for ${temp}!"
	else
		echo "add fail for ${temp}"
	fi	
	
	chmod -R 0777 /home/${temp}/.pki/
done

#添加火狐根证
for temp in ${DIRS}
do
        if [ ! -d "/home/${temp}" ];then
                continue
        fi

        #if [ ! -d "/home/${temp}/.mozilla" ];then
	#	continue
        #fi

	fullpath=`find /home/${temp}/ -name cert*.db | grep -i firefox | head`
	
	for userDirPath in ${fullpath}
	do
		if [ -z "${userDirPath}" ]; then
			continue
		fi

		subpath=${userDirPath%/*}

			${install_cng_path}/InstallRootCert/uosInstallCert/certutil --empty-password -d sql:${subpath} -A -t "CT,C,c" -n "cert/""-""serverroot.pem" -i "serverroot.pem"
			if [ $? -eq 0 ];then
					echo "add firefox successful for ${temp}!"
			else
					echo "add firefox fail for ${temp}"
			fi

			${install_cng_path}/InstallRootCert/uosInstallCert/certutil --empty-password -d ${subpath} -A -t "CT,C,c" -n "cert/""-""serverroot.pem" -i "serverroot.pem"

	done
done

