#!/bin/bash

project_name="NetSignCNG"
install_cng_path="/opt/$project_name"
crontab_sh="crontab_cng.sh"
cng_crontab_path="/tmp/cngcrontab"
cng_setup_log_path="/tmp/cngsetuplog"

crontab_cng="* * * * * export DISPLAY=:0 && $install_cng_path/$crontab_sh>>$cng_setup_log_path"


DIRS=`ls /home/ `

#删除计划任务
for temp in ${DIRS}
do
        if [ -f "/home/${temp}/.profile" -o -f "/home/${temp}/.bashrc" ]
        then
                #echo "/home/${temp}"
                if [ -f "/var/spool/cron/${temp}" ]
                then
                        echo "/var/spool/cron/${temp}"
                        sed -i "/.*${crontab_sh}/d" "/var/spool/cron/${temp}"
                fi

                if [ -f "/var/spool/cron/crontabs/${temp}" ]
                then
                        echo "/var/spool/cron/crontabs/${temp}"
                        sed -i "/.*${crontab_sh}/d" "/var/spool/cron/crontabs/${temp}"
                fi
        fi
done

if [ -f "/var/spool/cron/crontabs/root" ]
then
        echo "/var/spool/cron/crontabs/root"
        sed -i "/.*${crontab_sh}/d" /var/spool/cron/crontabs/root
fi

if [ -f "/var/spool/cron/root" ]
then
        echo "/var/spool/cron/root"
        sed -i "/.*${crontab_sh}/d" /var/spool/cron/root
fi


#关闭进程
PID=$(ps -ef | grep -v install | grep -v grep | grep -w ${install_cng_path}/${project_name} | awk '{print $2}' )
if [ -n "$PID" ]
then
        echo "exist id:$PID"
        kill -9 $PID
fi

#判断是否有firefox目录
for temp in ${DIRS}
do
        if [ -f "/home/${temp}/.profile" -o -f "/home/${temp}/.bashrc" ]
        then
                if [ -d "/home/${temp}/.mozilla" ]
                then
                        echo "/home/${temp}/.mozilla exist"
                        if [ ! -d "/home/${temp}/.mozilla/firefox" ]
                        then
                                echo "/home/${temp}/.mozilla/firefox no exist"
                                if [ -d "/home/${temp}/.mozilla/firefox-esr" ]
                                then
                                        ln -s "/home/${temp}/.mozilla/firefox-esr" "/home/${temp}/.mozilla/firefox"
                                fi
                        fi
                fi
        fi
done

#拷贝.Xauthority
for temp in ${DIRS}
do
        if [ -f "/home/${temp}/.profile" -o -f "/home/${temp}/.bashrc" ]
        then
                if [ -f "/home/${temp}/.Xauthority" ]
                then
                        echo "/home/${temp}/.Xauthority exist"

                        str1=$(md5sum "/home/${temp}/.Xauthority" | awk '{print $1}')

                        if [ -f "/root/.Xauthority" ]
                        then
                                str2=$(md5sum "/root/.Xauthority" | awk '{print $1}')
                                echo ${str1}
                                echo ${str2}

                                if [ "${str1}" != "${str2}" ]
                                then
                                        cp -f "/home/${temp}/.Xauthority" /root/
                                        break
                                else
                                        break
                                fi

                        else
                                cp -f "/home/${temp}/.Xauthority" /root/
                                break
                        fi

                fi
        fi
done

rm -rf ${cng_crontab_path}
rm -rf ${cng_setup_log_path}

echo 'Create cng crontab task...'
    crontab -l > ${cng_crontab_path} 2>/dev/null
    sed -i "/.*${crontab_sh}/d" ${cng_crontab_path}  # 已存在任务时会被sed删除，防止重复添加
    echo "${crontab_cng}" >> ${cng_crontab_path}
    crontab ${cng_crontab_path}

echo 'Complete'

echo "Start Installation..."

#$install_cng_path/startup.sh

sleep 1m
strA=$(nl $cng_setup_log_path | sed -n '/finish/p')
strB="finish"
result=$(echo $strA | grep "${strB}")
if [ -n "$result" ]; then
    echo "$project_name install finish"
else
    echo "$project_name install failed"
fi


sh ${install_cng_path}/InstallRootCert/uosInstallCert/add_rootcerts.sh

if [ ! -e "/usr/sbin/ip" ]
then
	
	if [ -f "/usr/bin/ip" ]
	then
		ln -s /usr/bin/ip /usr/sbin/ip 
	elif [ -f "/sbin/ip" ]
	then
		ln -s /sbin/ip /usr/sbin/ip
	elif [ -f "/bin/ip" ]
	then
		ln -s /bin/ip /usr/sbin/ip
	fi

fi

chmod -R 0777 ${install_cng_path}/config

if [ ! -d "/var/cnglog" ]
then
        mkdir /var/cnglog
fi

chmod -R 0777 /var/cnglog

rm -f /var/cnglog/*




