#!/bin/bash  

project_name="NetSignCNG"
install_cng_path="/opt/${project_name}"
#cmd_last="$(last | grep "log")"
#current_user=${cmd_last%% *}

setupflag="${install_cng_path}/RootCert_status.txt"
osflag="${install_cng_path}/OSinfo.txt"

function getCNGPid()
{
	PID=$(ps -ef | grep -v install | grep -v grep | grep -w ${install_cng_path}/${project_name} | awk '{print $2}' )
}

function runCNG()
{
	echo "[$(date)] runCNG"
	cng_pid_path="/tmp/${project_name}.pid"
	if [ -f $cng_pid_path ]
	then
			#cmd_ls=$(ls -l $cng_pid_path)
			#arr_ls=($cmd_ls)
			#file_user=${arr_ls[2]}

			#if [ $file_user != $current_user ]
			#then
				echo "[$(date)] rm cng.pid."
				rm -rf /tmp/$project_name.pid
			#fi
	fi  
	#/usr/sbin/chroot --userspec $current_user:$current_user "/" sh -c $install_cng_path/startup.sh
	sh -c $install_cng_path/startup.sh
}

function runGetOS()
{
 	#/usr/sbin/chroot --userspec root:root "/" sh -c $install_cng_path/getOS.sh
	sh -c $install_cng_path/getOS.sh
}

if [ -e "$osflag" ]
then
	timestamp=$(date +%s)
	filetimestamp=$(stat -c %Y $osflag)

	if [ $[$timestamp - $filetimestamp] -gt 86400 ]
	then
		runGetOS
	fi
else
	runGetOS
fi


if [ -e "$setupflag" ]
then
	echo "[$(date)] setup $project_name..."
	rm -f "$setupflag"

	killall firefox;

	getCNGPid

	if [ "$PID" ] 
	then
		ps -ef | grep $PID
		kill -9 $PID
		echo "[$(date)] kill old cng - pid: $PID"
	fi
	
	#安装根证书
	sh $install_cng_path/InstallRootCert/install.sh

	#启动CNG
	runCNG

	rm -f "$setupflag" 2>/dev/null

	echo "[$(date)] $project_name install finish"
else
	getCNGPid


	if [ "$PID" == "" ] 
	then
		
		runCNG
		
	else
		cmd_ps=$(ps -ef | grep $project_name)
		arr_ps=($cmd_ps)
		cng_user=${arr_ps[0]}

		#if [[ $current_user != "" ]] && [[ $cng_user != $current_user ]]
		#then
		#	kill -9 $PID
		#	runCNG
		#	echo "[$(date)] restart cng from $cng_user to $current_user"
		#fi
	fi
fi

exit 0
