#!/bin/bash  

project_name="NetSignCNG"
install_cng_path="/opt/$project_name"
osflag="$install_cng_path/OSinfo.txt"

cmd_cpuid=$(/usr/sbin/dmidecode -t 4| grep ID)
if [ "$cmd_cpuid" != "" ] 
then
    info_cpuid=$(echo ${cmd_cpuid##*: } | sed 's/ //g')
else
    info_cpuid="0000000000000000"
fi

cmd_board=$(/usr/sbin/dmidecode | grep -A1 "Base Board Information$")
if [ "$cmd_board" != "" ] 
then
    info_board=${cmd_board##*Manufacturer: }
    info_board=${info_board:0:16}
else
    info_board="0000000000000000"
fi

cmd_board_sn=$(/usr/sbin/dmidecode -t 2| grep Serial)
if [ "$cmd_board_sn" != "" ] 
then
    info_board_sn=$(echo ${cmd_board_sn##*: } | sed 's/ //g')
else
    info_board_sn="000000000000"
fi

echo $info_cpuid"|"$info_board"|"$info_board_sn > $osflag

